#
# spec file for package python-dephell-links
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-dephell-links
Version:        0.1.5
Release:        bp154.1.23
Summary:        Dephell library to parse dependency links
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/dephell/dephell_links
Source:         https://files.pythonhosted.org/packages/source/d/dephell_links/dephell_links-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.5}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-attrs
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module attrs}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Dephell library to parse dependency links.

%prep
%setup -q -n dephell_links-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/*

%changelog
* Tue Mar  3 2020 Matej Cepl <mcepl@suse.com>
- Upgrade to 0.1.5:
  - Fix path-like links for cygwin-like paths on Windows
* Fri Sep 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.1.4:
  * ship tests
* Sun May 19 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.1.3
